## tintin++ 1.94

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#TinTin++
#Copyright (C) 2001 Davin Chan, Robert Ellsworth, etc. (See CREDITS file)
#
#This program is protected under the GNU GPL (See COPYING).
#
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Makefile for TINTIN++ 
# 

# It's a bad idea to edit Makefile if you don't know what you're doing.
# Makefile is automatically generated by ./configure from Makefile.in.
# If you want to change something, most likely you'll want to edit
# Makefile.in and change it there, then run ./configure.

DEFINES = -D_GNU_SOURCE -DHAVE_CONFIG_H

CC = gcc -O3 -static
MAKE = gmake

#this is the standard CFLAGS options, this is what most people should use
CFLAGS = -Wall $(DEFINES) 

#this is the debugging CFLAGS options, should only be used if you want to
#debug/code tintin
#CFLAGS = -g -Wall $(DEFINES)

LDFLAGS = 
INCS = 

# Use the second line below if you do not have the readline library installed
# You also need to configure and make the readline library before you
# make the tintin++ program.
#LIBS = -lnsl -lncurses 
#
#Since readline and history are required, I'll hard code it in here.
#Guess we'll add zlib as well - Scandum

LIBS =  -lreadline -lhistory -lz -lncurses -lnsl -lncurses 

# If you prefer to be able to enter ISO latin-1 characters instead
# of being able to use the meta key for special emacs-like commands
# uncomment the following line.
#F1 = -DUSE_ISO_LATIN_ONE

# If you need to make connections through a SOCKS server, uncomment
# these 2 lines.  You also need to modify LIBSOCKS to point to the location
# of your SOCKS library.
#F6 = -DSOCKS
#LIBSOCKS = -lsocks5

# BINDIR is the directory you wish tt++ to be placed if you wish to use
# make install.  
BINDIR = .

# DEFAULT_FILE_DIR is the path to tintin files. 
# DEFAULT_FILE_DIR = @HOME@
DEFAULT_FILE_DIR = $(HOME)

#########################################
# You shouldn't need to change anything #
# below this line.                      #
#########################################
# GREP-FOR-ME (this is for gripe)       #
#########################################

FFLAGS= $(F1) $(F6)

OFILES = action.o alias.o antisub.o files.o help.o highlight.o                \
         llist.o log.o main.o misc.o net.o parse.o path.o rl.o rlhist.o       \
         tab.o vt102.o scrsize.o session.o text.o substitute.o tick.o         \
         utils.o variables.o function.o debug.o tables.o strhash.o telopt.o   \
         buffer.o macro.o config.o tinexp.o split.o math.o mapper.o

default: all

all:	tt++

tt++:	Makefile $(OFILES) tintin.h
	@echo "---- Linking..."
	$(CC) $(INCS) $(CFLAGS) $(FFLAGS) $(LDFLAGS) -o $@ $(OFILES) $(LIBS) ${LIBSOCKS}

Makefile: Makefile.in
	@echo "You need to run ./configure first; then try make."
	@exit 1

install: tt++
	@./install-sh $(BINDIR) $(DEFAULT_FILE_DIR) $(COMPRESSED_HELP)

# Autocompile all .c files into .o files using this rule:
.c.o:
	$(CC) $(PIPE) $(CFLAGS) $(FFLAGS) $(INCS) -c $<

clean:
	rm -f *.o tt++ core config.h config.cache config.status config.log

distclean: clean
	rm -f Makefile config.h config.status config.log config.cache

## tintin++ 1.99.8

=== debian/changelog ===
tintin++ (1.99.8-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. No changes required further adding
    debian/source/format.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 12 Nov 2009 22:57:57 +0100

tintin++ (1.99.7-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 06 Sep 2009 18:49:41 +0200

tintin++ (1.99.6b-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.8.3, no changes required.
  * Switch to dh:
    - Build depend on debhelper (>= 7.0.50~).
    - Add debian/manpages to install tintin man page.
  * Readd ${misc:Depends}.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 18 Aug 2009 02:31:32 +0200

tintin++ (1.99.6-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.8.2, no changes required.
  * Update to debhelper 7:
    - Raise debian/compat to 7.
    - Build depend on debhelper >= 7.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 09 Aug 2009 21:08:01 +0200

tintin++ (1.99.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 23 May 2009 22:09:28 +0200

tintin++ (1.99.4-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 03 May 2009 16:35:07 +0200

tintin++ (1.99.3-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 08 Apr 2009 08:41:17 +0200

tintin++ (1.99.2-1) unstable; urgency=low

  * New upstream release.
  * Add build depend on libpcre3-dev, regular expresions now uses this
    library.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 10 Mar 2009 22:23:10 +0100

tintin++ (1.99.0-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 17 Feb 2009 21:53:13 +0100

tintin++ (1.98.9-1) unstable; urgency=low

  * New upstream release:
    - Fix speedwalking issues. (Closes: #512359)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 Jan 2009 21:53:18 +0100

tintin++ (1.98.8-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 15 Jan 2009 15:12:59 +0100

tintin++ (1.98.7-1) unstable; urgency=low

  * New upstream release. (Closes: #504180)
  * Update Standards-Version to 3.8.0, no changes required.
  * Remove build depends on  libreadline5-dev and libncurses5-dev, they are
    supposedly not needed anymore.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 10 Dec 2008 06:31:26 +0100

tintin++ (1.98.3-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 26 Jul 2008 12:07:21 +0200

tintin++ (1.98.2-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 May 2008 13:49:45 +0200

tintin++ (1.98.1) unstable; urgency=low

  * New upstream release.
  * Drop security patches, merged in upstream and remove quilt.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 09 Apr 2008 13:39:04 +0200

tintin++ (1.97.9-2) unstable; urgency=high

  * Add secutity.patch fixing the following security bugs:
  - CVE-2008-0671:
    Stack-based buffer overflow in the add_line_buffer function allows 
    remote attackers to execute arbitrary code via a long chat message, 
    related to conversion from LF to CRLF.
  - CVE-2008-0672:
    The process_chat_input function allows remote attackers to cause a 
    denial of service (application crash) via a YES message without a newline 
    character, which triggers a NULL dereference.
  - CVE-2008-0673:
    TinTin++ open files on the basis of an inbound file-transfer request, before
    the user has an opportunity to decline the request, which allows remote 
    attackers to truncate arbitrary files in the top level of a home directory.
    (Closes: #465643)
 
  * Add quilt support for patching.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 10 Mar 2008 18:09:24 +0100

tintin++ (1.97.9-1) unstable; urgency=low

  * New upstream release.
  * Remove broken watch file.
  * Update to debhelper 6.
  * Convert copyright file to UTF-8.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 10 Feb 2008 01:03:11 +0100

tintin++ (1.97.8-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.7.3. No changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Dec 2007 13:56:06 +0100

tintin++ (1.97.7-1) unstable; urgency=low

  * New upstream release.
  * Move Homepage into control field.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Nov 2007 22:22:39 +0100

tintin++ (1.97.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Sep 2007 06:27:50 +0200

tintin++ (1.97.4-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Jul 2007 11:58:05 +0200

tintin++ (1.97.3-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 08 Jul 2007 02:43:06 +0200

tintin++ (1.97.1-2) unstable; urgency=low

  * Remove unnecessary files.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 30 May 2007 02:36:42 +0200

tintin++ (1.97.1-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 21 May 2007 18:13:21 +0100

tintin++ (1.97.0-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 01 May 2007 14:38:34 +0100

tintin++ (1.96.9-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 14 Apr 2007 13:30:25 +0200

tintin++ (1.96.8-1) unstable; urgency=low

  * New upstream release. 



=== debian/control ===
Source: tintin++
Section: games
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, libpcre3-dev 
Standards-Version: 3.8.3
Homepage: http://tintin.sourceforge.net/

Package: tintin++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: classic text-based MUD client
 Tintin++ is telnet client specialized to play MUDs (Multi-User Dungeons).
 It has scripting support, tab-completion, internal chat, and takes
 advantage of the GNU readline library.
 .
 You can find a complete set of commands and features in the Tintin++ manual,
 in /usr/share/doc/tintin++.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --sourcedirectory=src $@

override_dh_auto_install:
	install src/tt++ $(CURDIR)/debian/tintin++/usr/games

## tintin++ 2.00.1

=== debian/changelog ===
tintin++ (2.00.1-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.8.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Apr 2010 11:40:17 +0200

tintin++ (1.99.9-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 08 Feb 2010 13:56:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, libpcre3-dev 
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://tintin.sourceforge.net/
 
 Package: tintin++

## tintin++ 2.00.5

=== debian/changelog ===
tintin++ (2.00.5-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.9.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 06 Feb 2011 21:01:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, libpcre3-dev 
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://tintin.sourceforge.net/
 
 Package: tintin++

## tintin++ 2.00.7

=== debian/changelog ===
tintin++ (2.00.7-1build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:28:12 -0700

tintin++ (2.00.7-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.9.2, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Jul 2011 22:28:44 +0200

## tintin++ 2.00.8

=== debian/changelog ===
tintin++ (2.00.8-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 10 May 2012 23:48:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, libpcre3-dev 
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://tintin.sourceforge.net/
 
 Package: tintin++

## tintin++ 2.00.9

=== debian/changelog ===
tintin++ (2.00.9-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.9.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Jul 2013 22:46:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, libpcre3-dev 
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8), zlib1g-dev, libpcre3-dev
+Standards-Version: 3.9.4
 Homepage: http://tintin.sourceforge.net/
 
 Package: tintin++

## tintin++ 2.01.0

=== debian/changelog ===
tintin++ (2.01.0-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version: 3.9.5, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 04 Jan 2014 22:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 8), zlib1g-dev, libpcre3-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://tintin.sourceforge.net/
 
 Package: tintin++

## tintin++ 2.01.1

=== debian/changelog ===
tintin++ (2.01.1-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:28:08 +0000

tintin++ (2.01.1-1) unstable; urgency=medium

  * Orphan the package:
    - Switch maintainer to Debian QA Group <packages@qa.debian.org>.
  * New upstream release.
  * Bump build depends on debhelper >= 9.
  * tintin++ has now SSL support, add build-depends on libgnutls28-dev.
  * Update to Standards-Version: 3.9.6, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 16 Sep 2015 23:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tintin++
 Section: games
 Priority: optional
-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 8), zlib1g-dev, libpcre3-dev
-Standards-Version: 3.9.5
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 9), zlib1g-dev, libpcre3-dev, libgnutls28-dev
+Standards-Version: 3.9.6
 Homepage: http://tintin.sourceforge.net/
 
 Package: tintin++

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	install src/tt++ $(CURDIR)/debian/tintin++/usr/games

## tintin++ 2.01.5

=== debian/changelog ===
tintin++ (2.01.5-2build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:14:28 +0000

tintin++ (2.01.5-2) unstable; urgency=high

  * Add security patch - backport fix of the following security bug:
  - CVE-2019-7629:
    Stack-based buffer overflow in the strip_vt102_codes function allows
    remote attackers to execute arbitrary code by sending a long message
    to the client.
    (Closes: #924348)

 -- Jozsef Nagy <runave214@gmail.com>  Thu, 14 Mar 2019 20:27:42 +0100

tintin++ (2.01.5-1) unstable; urgency=medium

  * New upstream release and new maintainer.

 -- Jozsef Nagy <runave214@gmail.com>  Wed, 09 Jan 2019 20:20:42 +0100

tintin++ (2.01.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update to Standards-Version 4.3.0:
    - Switch to FreeDesktop menu standard
  * Include upstream changelong and documentation on scripts and chat protocol.

 -- Jozsef Nagy <runave214@gmail.com>  Sat, 29 Dec 2018 11:02:42 +0100

## tintin++ 2.02.03

=== debian/changelog ===
tintin++ (2.02.03-1) unstable; urgency=medium

  * New upstream release.

 -- Jozsef Nagy <runave214@gmail.com>  Sat, 25 Jul 2020 13:51:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tintin++
 Section: games
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Jozsef Nagy <runave214@gmail.com>
 Build-Depends: debhelper (>= 9), zlib1g-dev, libpcre3-dev, libgnutls28-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.3.0
 Homepage: http://tintin.sourceforge.net/
 
 Package: tintin++

## tintin++ 2.02.20

=== debian/changelog ===
tintin++ (2.02.20-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:21 +1100

tintin++ (2.02.20-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 10:48:38 +1300

tintin++ (2.02.20-1) unstable; urgency=medium

  * New upstream release.
  * Add patch: regular expressions now use libpcre2-dev.
    (Closes: #999940)

 -- Jozsef Nagy <runave214@gmail.com>  Wed, 29 Jun 2022 19:20:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: tintin++
 Section: games
 Priority: optional
-Maintainer: Jozsef Nagy <runave214@gmail.com>
-Build-Depends: debhelper (>= 9), zlib1g-dev, libpcre3-dev, libgnutls28-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jozsef Nagy <runave214@gmail.com>
+Build-Depends: debhelper (>= 9), zlib1g-dev, libpcre2-dev, libgnutls28-dev
 Standards-Version: 4.3.0
 Homepage: http://tintin.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_install src/tt++ usr/games
	dh_install debian/tintin++.desktop usr/share/applications
	dh_install debian/tintin++.png usr/share/pixmaps

override_dh_installchangelogs:
	dh_installchangelogs debian/tintin++.changes upstream

## tintin++ sound

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for TINTIN++ 
# 

# It's a bad idea to edit Makefile if you don't know what you're doing.
# Makefile is automatically generated by ./configure from Makefile.in.
# If you want to change something, most likely you'll want to edit
# Makefile.in and change it there, then run ./configure.

CC = cc
CFLAGS = -O  -DDIRENT=1 -DHAVE_STRINGS_H=1 -DHAVE_STRING_H=1 -DHAVE_STDLIB_H=1 -DHAVE_TIME_H=1 -DHAVE_SYS_TERMIO_H=1 -DHAVE_BCOPY=1 
LIBS = 
INCS = -I.
RL = $(INCS) readline/libreadline.a -ltermcap

# I don't use pipe anymore, since it fucked over those with cc for some reason.
# PIPE = @PIPE@

# If you plan on doing debugging (with gdb), it is very helpful to turn all
# the alarms off so that you can step through the code without having to 
# jump to the ticker function.  This will also disable the internal
# tickcounter.
#F4 = -DDEBUG

# If you need to make connections through a SOCKS server, uncomment
# these 3 lines.  You also need to modify LIBDIR to point to the location
# of your SOCKS library.
#F6 = -DSOCKS
#LIBDIR = ../../../lib
#LIBS = $(LIBS) -L$(LIBDIR) -lsocks -lresolv

# BINDIR is the directory you wish tt++ to be placed if you wish to use
# make install.  
BINDIR = .

# DEFAULT_FILE_DIR is the path to tintin files. 
# DEFAULT_FILE_DIR = @HOME@
DEFAULT_FILE_DIR = $(HOME)

#########################################
# You shouldn't need to change anything #
# below this line.                      #
#########################################
# GREP-FOR-ME (this is for gripe)       #
#########################################

FFLAGS= $(F4) $(F6)
LFLAGS= 
OFILES = main.o parse.o action.o alias.o substitute.o session.o \
	files.o history.o ticks.o misc.o path.o net.o llist.o utils.o \
	variables.o highlight.o antisub.o ivars.o help.o text.o glob.o \
	rl.o rlhist.o rltab.o rltick.o rlvt100.o log.o scrsize.o sound.o

default: all

all: install

tt++: $(OFILES) tintin.h readline/libreadline.a Makefile
	@echo "---- Linking..."
	$(CC) $(CFLAGS) $(FFLAGS) $(LFLAGS) -o tt++ $(OFILES) $(LIBS) $(RL) -lnsl -lsocket

Makefile: Makefile.in
	@echo "You need to run ./configure first; then try make."
	@exit 1

readline/libreadline.a:
	@echo "---- Making GNU readline!"
	@echo "---- You may safely ignore any warnings it gives you (I think)."
	@echo "---- You can try editing readline/Makefile.in if you get"
	@echo "---- fatal errors, and then rerun ./configure."
	@sleep 2
	@(cd readline; make libreadline.a)
	@echo "---- Done with readline: back to your regularly scheduled make."

install: tt++
	@./install.sh $(BINDIR) $(DEFAULT_FILE_DIR) $(COMPRESSED_HELP)

# Autocompile all .c files into .o files using this rule:
.c.o:
	$(CC) $(PIPE) $(CFLAGS) $(FFLAGS) $(INCS) -c $<

clean:
	rm -f *.o ../tt++ tt++ core readline/*.o readline/*.a

distclean: clean
	rm -f Makefile config.status
	@(cd readline; make distclean)

# We don't use make depend anymore, since it's not needed.
# depend:
# 	makedepend -o ".o" $(INCS) $(CFILES)
# 
# # DO NOT DELETE THIS LINE -- make depend depends on it.

=== src/readline/Makefile ===
# Generated automatically from Makefile.in by configure.
# Master Makefile for the GNU readline library.
# Copyright (C) 1994 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

srcdir = .

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
mandir = $(prefix)/man/man1

SHELL = /bin/sh

INSTALL = ./../install.sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

RANLIB = ranlib
AR = ar
RM = rm
CP = cp
MV = mv

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g
LDFLAGS = -g

# For libraries which include headers from other libraries.
INCLUDES = -I. -I$(srcdir)

CPPFLAGS = $(DEFS) $(INCLUDES)

PICFLAG=        -pic    # -fpic for some versions of gcc
SHLIB_OPTS=	-assert pure-text -ldl	# -Bshareable for some versions of gcc
MAJOR=		2
MINOR=		.0

.SUFFIXES:	.so
.c.o:
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

.c.so:
	-mv $*.o z$*.o
	$(CC) -c $(PICFLAG) $(CPPFLAGS) $(CFLAGS) $< 
	mv $*.o $@
	-mv z$*.o $*.o

# The name of the main library target.
LIBRARY_NAME = libreadline.a
SHARED_READLINE = libreadline.so.$(MAJOR)$(MINOR)
SHARED_HISTORY = libhistory.so.$(MAJOR)$(MINOR)
SHARED_LIBS = $(SHARED_READLINE) $(SHARED_HISTORY)

# The C code source files for this library.
CSOURCES = $(srcdir)readline.c $(srcdir)funmap.c $(srcdir)keymaps.c \
	   $(srcdir)vi_mode.c $(srcdir)parens.c $(srcdir)rltty.c \
	   $(srcdir)complete.c $(srcdir)bind.c $(srcdir)isearch.c \
	   $(srcdir)display.c $(srcdir)signals.c $(srcdir)emacs_keymap.c \
	   $(srcdir)vi_keymap.c $(srcdir)history.c $(srcdir)tilde.c \
	   $(srcdir)xmalloc.c

# The header files for this library.
HSOURCES = readline.h rldefs.h chardefs.h keymaps.h history.h \
	   posixstat.h tilde.h rlconf.h

INSTALLED_HEADERS = readline.h chardefs.h keymaps.h history.h

OBJECTS = readline.o vi_mode.o funmap.o keymaps.o parens.o search.o \
	  rltty.o complete.o bind.o isearch.o display.o signals.o \
	  history.o tilde.o xmalloc.o

SHARED_OBJ = readline.so vi_mode.so funmap.so keymaps.so parens.so search.so \
	  rltty.so complete.so bind.so isearch.so display.so signals.so \
	  history.so tilde.so xmalloc.so

# The texinfo files which document this library.
DOCSOURCE = doc/rlman.texinfo doc/rltech.texinfo doc/rluser.texinfo
DOCOBJECT = doc/readline.dvi
DOCSUPPORT = doc/Makefile
DOCUMENTATION = $(DOCSOURCE) $(DOCOBJECT) $(DOCSUPPORT)

SUPPORT = Makefile ChangeLog $(DOCSUPPORT) examples/[-a-z.]*

SOURCES  = $(CSOURCES) $(HSOURCES) $(DOCSOURCE)

THINGS_TO_TAR = $(SOURCES) $(SUPPORT)

##########################################################################

all: libreadline.a libhistory.a
shared: $(SHARED_LIBS)

libreadline.a: $(OBJECTS)
	$(RM) -f $@
	$(AR) cq $@ $(OBJECTS)
	-$(RANLIB) $@

libhistory.a: history.o
	$(RM) -f $@
	$(AR) cq $@ history.o
	-$(RANLIB) $@

$(SHARED_READLINE):	$(SHARED_OBJ)
	$(RM) -f $@
	ld ${SHLIB_OPTS} -o $@ $(SHARED_OBJ)

$(SHARED_HISTORY):	history.so
	$(RM) -f $@
	ld ${SHLIB_OPTS} -o $@ history.so

documentation: force
	[ ! -d doc ] && mkdir doc
	(if [ -d doc ]; then cd doc; $(MAKE) $(MFLAGS); fi)

force:

install: installdirs libreadline.a
	$(INSTALL_DATA) $(INSTALLED_HEADERS) $(incdir)/readline
	-$(MV) $(libdir)/libreadline.a $(libdir)/libreadline.old
	$(INSTALL_DATA) libreadline.a $(libdir)/libreadline.a
	-$(RANLIB) -t $(libdir)/libreadline.a

installdirs:
	[ ! -d $(incdir)/readline ] && { \
	  mkdir $(incdir)/readline && chmod 755 $(incdir)/readline; }
	[ ! -d $(libdir) ] && mkdir $(libdir)

uninstall:
	[ -n "$(incdir)" ] && cd $(incdir)/readline && \
		${RM} -f ${INSTALLED_HEADERS}
	[ -n "$(libdir)" ] && cd $(libdir) && \
		${RM} -f libreadline.a libreadline.old $(SHARED_LIBS)

clean::
	rm -f $(OBJECTS) *.a $(SHARED_OBJ) $(SHARED_LIBS)
	(if [ -d doc ]; then cd doc; $(MAKE) $(MFLAGS) $@; fi)

readline: readline.h rldefs.h chardefs.h
readline: $(OBJECTS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(READLINE_DEFINES) \
	  $(LOCAL_INCLUDES) -DTEST -o readline readline.c vi_mode.o funmap.o \
	  keymaps.o -ltermcap

info:
install-info:
dvi:
check:
installcheck:

tags:	force
	etags $(CSOURCES) $(HSOURCES)

TAGS:	force
	ctags -x $(CSOURCES) $(HSOURCES) > $@

Makefile: config.status $(srcdir)/Makefile.in
	$(SHELL) config.status

config.status: configure
	$(SHELL) config.status --recheck

configure: configure.in            ## Comment-me-out in distribution
	cd $(srcdir); autoconf     ## Comment-me-out in distribution
config.h.in: configure.in          ## Comment-me-out in distribution
	cd $(srcdir); autoheader   ## Comment-me-out in distribution

mostlyclean: clean

distclean realclean: clean
	rm -f Makefile config.status config.h stamp-config

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Dependencies
readline.o: readline.c readline.h rldefs.h rlconf.h chardefs.h
readline.o: keymaps.h history.h
vi_mode.o:  rldefs.h rlconf.h readline.h history.h
funmap.o:   funmap.c readline.h rlconf.h
keymaps.o:  keymaps.c emacs_keymap.c vi_keymap.c keymaps.h chardefs.h rlconf.h
history.o: history.h memalloc.h
isearch.o: memalloc.h readline.h history.h
search.o: memalloc.h readline.h history.h
display.o: readline.h history.h rldefs.h rlconf.h
complete.o: readline.h rldefs.h rlconf.h
rltty.o: rldefs.h rlconf.h readline.h
bind.o: rldefs.h rlconf.h readline.h history.h
signals.o: rldefs.h rlconf.h readline.h history.h
parens.o: readline.h
